// one line to give the program's name and an idea of what it does.
// Copyright (C) 2005  name of Borja Sánchez Zamorano
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

using System;
using System.Reflection;
using MonoCalendar.i18n;

namespace MonoCalendar
{
	public class About : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label labelAuthor;
		private System.Windows.Forms.Label labelWeb;
		private System.Windows.Forms.Label labelVersion2;
		private System.Windows.Forms.Label labelVersion;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.Button buttonClose;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label labelTranslatorName;
		private System.Windows.Forms.Label labelTranslators;
		private System.Windows.Forms.Label labelDesc;
		private System.Windows.Forms.LinkLabel linkLabel1;
		private System.Windows.Forms.LinkLabel linkLabel2;

		public About()
		{
			InitializeComponent();
			Version v = Assembly.GetEntryAssembly().GetName().Version;
			labelVersion.Text = String.Format(v.ToString());
			Translate();
		}

		void Translate()
		{
			labelWeb.Text = tr.GetString("Web:");
			labelVersion2.Text = tr.GetString("Version:");
			labelAuthor.Text = tr.GetString("Author:");
			Text = tr.GetString("About MonoCalendar");
			groupBox1.Text = tr.GetString("About MonoCalendar");
			buttonClose.Text = tr.GetString("Close");
			labelDesc.Text = tr.GetString("Calendar's editor");
			labelTranslators.Text = tr.GetString("Translated by:");
			labelTranslatorName.Text = tr.GetString("Borja Sanchez Zamorano <borsanza@gmail.com>");
				
			labelVersion.Left = labelVersion2.Right;
		}

		#region Código generado por el Diseñador de Windows Forms

		void InitializeComponent() {
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(About));
			this.linkLabel2 = new System.Windows.Forms.LinkLabel();
			this.linkLabel1 = new System.Windows.Forms.LinkLabel();
			this.labelDesc = new System.Windows.Forms.Label();
			this.labelTranslators = new System.Windows.Forms.Label();
			this.labelTranslatorName = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.buttonClose = new System.Windows.Forms.Button();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.labelVersion = new System.Windows.Forms.Label();
			this.labelVersion2 = new System.Windows.Forms.Label();
			this.labelWeb = new System.Windows.Forms.Label();
			this.labelAuthor = new System.Windows.Forms.Label();
			this.groupBox1.SuspendLayout();
			this.SuspendLayout();
			// 
			// linkLabel2
			// 
			this.linkLabel2.AutoSize = true;
			this.linkLabel2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.linkLabel2.Location = new System.Drawing.Point(24, 176);
			this.linkLabel2.Name = "linkLabel2";
			this.linkLabel2.Size = new System.Drawing.Size(160, 16);
			this.linkLabel2.TabIndex = 8;
			this.linkLabel2.TabStop = true;
			this.linkLabel2.Text = "http://www.monocalendar.com/";
			this.linkLabel2.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.LinkLabel2LinkClicked);
			// 
			// linkLabel1
			// 
			this.linkLabel1.AutoSize = true;
			this.linkLabel1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.linkLabel1.LinkArea = new System.Windows.Forms.LinkArea(24, 18);
			this.linkLabel1.Location = new System.Drawing.Point(24, 128);
			this.linkLabel1.Name = "linkLabel1";
			this.linkLabel1.Size = new System.Drawing.Size(253, 16);
			this.linkLabel1.TabIndex = 5;
			this.linkLabel1.TabStop = true;
			this.linkLabel1.Text = "Borja Sanchez Zamorano (borsanza@gmail.com)";
			this.linkLabel1.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.LinkLabel1LinkClicked);
			// 
			// labelDesc
			// 
			this.labelDesc.AutoSize = true;
			this.labelDesc.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelDesc.Location = new System.Drawing.Point(168, 40);
			this.labelDesc.Name = "labelDesc";
			this.labelDesc.Size = new System.Drawing.Size(89, 16);
			this.labelDesc.TabIndex = 2;
			this.labelDesc.Text = "Calendar\'s editor";
			this.labelDesc.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelTranslators
			// 
			this.labelTranslators.AutoSize = true;
			this.labelTranslators.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelTranslators.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelTranslators.Location = new System.Drawing.Point(16, 208);
			this.labelTranslators.Name = "labelTranslators";
			this.labelTranslators.Size = new System.Drawing.Size(73, 17);
			this.labelTranslators.TabIndex = 10;
			this.labelTranslators.Text = "Translators:";
			this.labelTranslators.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelTranslatorName
			// 
			this.labelTranslatorName.AutoSize = true;
			this.labelTranslatorName.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelTranslatorName.Location = new System.Drawing.Point(24, 224);
			this.labelTranslatorName.Name = "labelTranslatorName";
			this.labelTranslatorName.Size = new System.Drawing.Size(88, 16);
			this.labelTranslatorName.TabIndex = 18;
			this.labelTranslatorName.Text = "Translator Name";
			this.labelTranslatorName.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label1.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(80, 40);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(90, 17);
			this.label1.TabIndex = 1;
			this.label1.Text = "MonoCalendar:";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pictureBox1
			// 
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(8, 24);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(67, 64);
			this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
			this.pictureBox1.TabIndex = 0;
			this.pictureBox1.TabStop = false;
			// 
			// buttonClose
			// 
			this.buttonClose.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.buttonClose.Location = new System.Drawing.Point(221, 272);
			this.buttonClose.Name = "buttonClose";
			this.buttonClose.TabIndex = 6;
			this.buttonClose.Text = "Close";
			this.buttonClose.Click += new System.EventHandler(this.ButtonCloseClick);
			// 
			// groupBox1
			// 
			this.groupBox1.Controls.Add(this.labelTranslatorName);
			this.groupBox1.Controls.Add(this.labelTranslators);
			this.groupBox1.Controls.Add(this.labelWeb);
			this.groupBox1.Controls.Add(this.linkLabel2);
			this.groupBox1.Controls.Add(this.labelVersion);
			this.groupBox1.Controls.Add(this.labelVersion2);
			this.groupBox1.Controls.Add(this.pictureBox1);
			this.groupBox1.Controls.Add(this.labelDesc);
			this.groupBox1.Controls.Add(this.label1);
			this.groupBox1.Controls.Add(this.labelAuthor);
			this.groupBox1.Controls.Add(this.linkLabel1);
			this.groupBox1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.groupBox1.Location = new System.Drawing.Point(8, 8);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(288, 256);
			this.groupBox1.TabIndex = 5;
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = "About MonoCalendar";
			// 
			// labelVersion
			// 
			this.labelVersion.AutoSize = true;
			this.labelVersion.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelVersion.Location = new System.Drawing.Point(136, 64);
			this.labelVersion.Name = "labelVersion";
			this.labelVersion.Size = new System.Drawing.Size(39, 16);
			this.labelVersion.TabIndex = 7;
			this.labelVersion.Text = "0.0.0.0";
			this.labelVersion.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelVersion2
			// 
			this.labelVersion2.AutoSize = true;
			this.labelVersion2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelVersion2.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelVersion2.Location = new System.Drawing.Point(80, 64);
			this.labelVersion2.Name = "labelVersion2";
			this.labelVersion2.Size = new System.Drawing.Size(51, 17);
			this.labelVersion2.TabIndex = 6;
			this.labelVersion2.Text = "Version:";
			this.labelVersion2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelWeb
			// 
			this.labelWeb.AutoSize = true;
			this.labelWeb.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelWeb.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelWeb.Location = new System.Drawing.Point(16, 160);
			this.labelWeb.Name = "labelWeb";
			this.labelWeb.Size = new System.Drawing.Size(34, 17);
			this.labelWeb.TabIndex = 9;
			this.labelWeb.Text = "Web:";
			this.labelWeb.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// labelAuthor
			// 
			this.labelAuthor.AutoSize = true;
			this.labelAuthor.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.labelAuthor.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.labelAuthor.Location = new System.Drawing.Point(16, 112);
			this.labelAuthor.Name = "labelAuthor";
			this.labelAuthor.Size = new System.Drawing.Size(47, 17);
			this.labelAuthor.TabIndex = 3;
			this.labelAuthor.Text = "Author:";
			this.labelAuthor.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// About
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(306, 303);
			this.ControlBox = false;
			this.Controls.Add(this.buttonClose);
			this.Controls.Add(this.groupBox1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "About";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "About MonoCalendar";
			this.groupBox1.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		#endregion
		
		void ButtonCloseClick(object sender, System.EventArgs e)
		{
			this.Close();
		}
		
		void LinkLabel2LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Process.Start("http://www.monocalendar.com/");
		}
		
		void LinkLabel1LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Process.Start("mailto:borsanza@gmail.com");
		}
		
	}
}
